E-MailRelay

Public Attributes | List of all members
GNet::AcceptInfo Class Reference

A move-only class which is used to return a new()ed socket to calling code, together with associated address information. More...

`#include <gsocket.h>`

Collaboration diagram for GNet::AcceptInfo:
[legend]

## Public Attributes
std::unique_ptr< StreamSocket > | socket_ptr
Address | address

## Detailed Description

A move-only class which is used to return a new()ed socket to calling code, together with associated address information.

Definition at line 344 of file gsocket.h.

## Constructor & Destructor Documentation

## ◆ AcceptInfo()

GNet::AcceptInfo::AcceptInfo | ( |  | ) |
| inline

Definition at line 349 of file gsocket.h.

## Member Data Documentation

## ◆ address

Address GNet::AcceptInfo::address

Definition at line 348 of file gsocket.h.

## ◆ socket_ptr

std::unique_ptr<StreamSocket> GNet::AcceptInfo::socket_ptr

Definition at line 347 of file gsocket.h.

The documentation for this class was generated from the following file:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gnet/gsocket.h